<html>
<head>
<title>Ogre::GLXContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLXContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLXContext" --><!-- doxytag: inherits="Ogre::GLContext" -->
<p><code>#include &lt;<a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLXContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLXContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLXContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLXContext_inherit__map" id="Ogre_1_1GLXContext_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context." alt="" coords="11,5,131,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLXContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#a5dc3f92b0d2194518a32ba086c886fdc">GLXContext</a> (<a class="el" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a> *glsupport,::GLXFBConfig fbconfig,::GLXDrawable drawable,::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> context=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#ab42e53d9ef21ad150224bc059dd75ff3">~GLXContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#a7aa3e8207ba0f8bb2b0cf83d6e963c53">setCurrent</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#a1594fef75c2fb430033f4b4833adac56">endCurrent</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#ac71ec885d24da172590d9afb8c17af95">clone</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::GLXDrawable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#ae0ea65602fcbf7008e8be6d204110eac">mDrawable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#ac7df59faff766dce165a312ee4a7fca8">mContext</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">initialized</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#aca2b0a99ec797ef6cc0cd9d222c32b3c">mFBConfig</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#acc4845f5d9ca770edbbb03645fa833a7">mGLSupport</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXContext.html#adbb6b003f761bbf1e3a93f878ebcebe6">mExternalContext</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLXContext_8h_source.html#l00036">36</a> of file <a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5dc3f92b0d2194518a32ba086c886fdc"></a><!-- doxytag: member="Ogre::GLXContext::GLXContext" ref="a5dc3f92b0d2194518a32ba086c886fdc" args="(GLXGLSupport *glsupport,::GLXFBConfig fbconfig,::GLXDrawable drawable,::GLXContext context=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXContext.html#a5dc3f92b0d2194518a32ba086c886fdc">Ogre::GLXContext::GLXContext</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a> *&#160;</td>
          <td class="paramname"><em>glsupport</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::GLXFBConfig&#160;</td>
          <td class="paramname"><em>fbconfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::GLXDrawable&#160;</td>
          <td class="paramname"><em>drawable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>&#160;</td>
          <td class="paramname"><em>context</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab42e53d9ef21ad150224bc059dd75ff3"></a><!-- doxytag: member="Ogre::GLXContext::~GLXContext" ref="ab42e53d9ef21ad150224bc059dd75ff3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLXContext.html#ab42e53d9ef21ad150224bc059dd75ff3">Ogre::GLXContext::~GLXContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac71ec885d24da172590d9afb8c17af95"></a><!-- doxytag: member="Ogre::GLXContext::clone" ref="ac71ec885d24da172590d9afb8c17af95" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1GLXContext.html#ac71ec885d24da172590d9afb8c17af95">Ogre::GLXContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1GLContext.html#a6528ca1a4be3fc55ca68e1773b63d1ca">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a1594fef75c2fb430033f4b4833adac56"></a><!-- doxytag: member="Ogre::GLXContext::endCurrent" ref="a1594fef75c2fb430033f4b4833adac56" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLXContext.html#a1594fef75c2fb430033f4b4833adac56">Ogre::GLXContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLContext.html#a39f9c6f6929b3df7947132bb75c3c6c2">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a996fa8eb69f0ad3fd5eb210135a4af72"></a><!-- doxytag: member="Ogre::GLXContext::getInitialized" ref="a996fa8eb69f0ad3fd5eb210135a4af72" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">Ogre::GLContext::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8"></a><!-- doxytag: member="Ogre::GLXContext::releaseContext" ref="a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">Ogre::GLContext::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32Context.html#aa5a289fe65c137eaf0ba5760fa88c5a1">Ogre::Win32Context</a>.</p>

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00069">69</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7aa3e8207ba0f8bb2b0cf83d6e963c53"></a><!-- doxytag: member="Ogre::GLXContext::setCurrent" ref="a7aa3e8207ba0f8bb2b0cf83d6e963c53" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLXContext.html#a7aa3e8207ba0f8bb2b0cf83d6e963c53">Ogre::GLXContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLContext.html#ab53b895744ab887886807918847ff496">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="ae18d155f61acb28196fb24d230af27cd"></a><!-- doxytag: member="Ogre::GLXContext::setInitialized" ref="ae18d155f61acb28196fb24d230af27cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">Ogre::GLContext::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6e2809a9ff6ad0d06dc52dc82d7a0357"></a><!-- doxytag: member="Ogre::GLXContext::initialized" ref="a6e2809a9ff6ad0d06dc52dc82d7a0357" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">Ogre::GLContext::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00071">71</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac7df59faff766dce165a312ee4a7fca8"></a><!-- doxytag: member="Ogre::GLXContext::mContext" ref="ac7df59faff766dce165a312ee4a7fca8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> <a class="el" href="classOgre_1_1GLXContext.html#ac7df59faff766dce165a312ee4a7fca8">Ogre::GLXContext::mContext</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXContext_8h_source.html#l00053">53</a> of file <a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae0ea65602fcbf7008e8be6d204110eac"></a><!-- doxytag: member="Ogre::GLXContext::mDrawable" ref="ae0ea65602fcbf7008e8be6d204110eac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::GLXDrawable <a class="el" href="classOgre_1_1GLXContext.html#ae0ea65602fcbf7008e8be6d204110eac">Ogre::GLXContext::mDrawable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXContext_8h_source.html#l00052">52</a> of file <a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="adbb6b003f761bbf1e3a93f878ebcebe6"></a><!-- doxytag: member="Ogre::GLXContext::mExternalContext" ref="adbb6b003f761bbf1e3a93f878ebcebe6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLXContext.html#adbb6b003f761bbf1e3a93f878ebcebe6">Ogre::GLXContext::mExternalContext</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXContext_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="aca2b0a99ec797ef6cc0cd9d222c32b3c"></a><!-- doxytag: member="Ogre::GLXContext::mFBConfig" ref="aca2b0a99ec797ef6cc0cd9d222c32b3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::GLXFBConfig <a class="el" href="classOgre_1_1GLXContext.html#aca2b0a99ec797ef6cc0cd9d222c32b3c">Ogre::GLXContext::mFBConfig</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXContext_8h_source.html#l00056">56</a> of file <a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc4845f5d9ca770edbbb03645fa833a7"></a><!-- doxytag: member="Ogre::GLXContext::mGLSupport" ref="acc4845f5d9ca770edbbb03645fa833a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a>* <a class="el" href="classOgre_1_1GLXContext.html#acc4845f5d9ca770edbbb03645fa833a7">Ogre::GLXContext::mGLSupport</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXContext_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLXContext_8h_source.html">OgreGLXContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
